## jxtray.ui
Class JxtProgressBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ProgressBarUI
              javax.swing.plaf.basic.BasicProgressBarUI
                  jxtray.ui.JxtProgressBarUI

public class JxtProgressBarUI
extends javax.swing.plaf.basic.BasicProgressBarUI

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`javax.swing.plaf.basic.BasicProgressBarUI.ChangeHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`changeListener, progressBar`

Constructor Summary
`JxtProgressBarUI()`

Method Summary
`static javax.swing.plaf.ComponentUI` `createUI(javax.swing.JComponent c)`
`void` `paint(java.awt.Graphics g, javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicProgressBarUI

`getAmountFull, getAnimationIndex, getBox, getCellLength, getCellSpacing, getMaximumSize, getMinimumSize, getPreferredInnerHorizontal, getPreferredInnerVertical, getPreferredSize, getSelectionBackground, getSelectionForeground, getStringPlacement, incrementAnimationIndex, installDefaults, installListeners, installUI, paintDeterminate, paintIndeterminate, paintString, setAnimationIndex, setCellLength, setCellSpacing, startAnimationTimer, stopAnimationTimer, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxtProgressBarUI

    public JxtProgressBarUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)